<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$st_ativo	= 1;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}

if(isset($_POST['ds_grupo'])){
  $ds_grupo	= trim($_POST['ds_grupo']);
}

if(isset($_POST['vl_maximo'])){
  $vl_maximo	= trim($_POST['vl_maximo']);
}

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_grupo_alcada set ds_grupo = '$ds_grupo',vl_maximo = replace(replace(replace('$vl_maximo','R$',''),'.',''),',','.'),st_ativo  =  $st_ativo";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_grupo_alcada set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_grupo_alcada (ds_grupo, vl_maximo, st_ativo) values ('$ds_grupo', replace(replace(replace('$vl_maximo','R$',''),'.',''),',','.'), $st_ativo)";
 // echo $sql;
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_grupo_alcada_list.php");
}
?>
